#
#	Internet Rover Makefile		WB Norton    	4/17/89
#					Merit Computer Network
#					Version 1.0
#   Make Definitions file for the Internet Rover Problem Display Program
#
LIBRARIES=-lcurses -ltermcap
DEPEND=../Ctools/ctools.o ../ProblemManager/ProblemManager.o ../ProblemManager/ProblemFileio.o 

CFLAGS=-g

.c.o:
	echo 'static char *Version="'$* ${PINGKYVERSION}' compiled on '`hostname` at `date`'";' >version.h ; \
	cc ${CFLAGS} -c $<

#VPATH = ../MISC
BIN = ../BIN

all:
	make -f Makefile.sparc Display
	make -f Makefile.sparc xdisplay

Display: Display.o ${DEPEND}
	cc -o Display Display.o ${DEPEND} ${LIBRARIES}
	cp Display ../InetRover/Display

print:
	lpr -Pnext *.c *.h Makefile

clean:
	-rm *.o core 
	-rm Display xdisplay 
	-rm PROBLEM.FILE problemlog.* pingky.cycle CHECKING

xdisplay:	xdisplay.o ${DEPEND}
	cc -o xdisplay xdisplay.o ${DEPEND} /lib/libPW.a -lXm -lXt -lXext -lX11
	cp xdisplay ../InetRover/xdisplay

xdisplay2:	xdisplay2.o ${DEPEND}
	cc -o xdisplay2 xdisplay2.o ${DEPEND} /lib/libPW.a ../InetRover/Hostfileio.o  -lXm -lXt -lXmu  -lXext -lX11

lcat:	lcat.o
	cc -o lcat lcat.o
